Subject: Attacus atlas moths

From: Mario De Cleen <[email-masked]>
Date: Mon, 17 Jun 1996 00:29:18 +0200

Dear colleagues,

Since the last weeks I became to much orders for our cocoons of Attacus
atlas. Because packing and quality control spend much time. We are not able
at the moment to arrange all the shipment within 7 days. We have also our
marriage on June 22nd, 1996 and our annual entomological trip to SE Asia
until end of July 1996. We hope for Your understanding when there is some delay.
I should try to give all the priority to the universities and butterfly houses.
You can contact us by way of email until June 20.1996.
Otherwise You can contact us during June 21.1996 until end of July by way of
fax.
Thanks,

Mario De Cleen
Rupelmondestraat 265
B-9150 Bazel - Belgium
Phone/Fax: 32 (0)3 7742888
Email:  [email-masked]